package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.TMobileManagerMapper;
import com.chinaitop.depot.system.model.TMobileManager;
import com.chinaitop.depot.system.model.TMobileManagerExample;
import com.chinaitop.depot.system.model.TMobileManagerExample.Criteria;
import com.chinaitop.depot.system.service.TMobileManagerService;

import org.apache.commons.lang.ObjectUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import java.util.List;
import java.util.Map;

@Service
public class TMobileManagerServiceImpl implements TMobileManagerService {
	
	@Resource
	private TMobileManagerMapper tMobileManagerMapper;

	@Override
	public List<TMobileManager> queryByExample(Map<String, Object> paramMap) {
		TMobileManagerExample example = new TMobileManagerExample();
		if(!ObjectUtils.toString(paramMap.get("mobileName"),"").equals("")) {
			Criteria criteria = example.createCriteria();
			criteria.andMobileNameLike("%"+ObjectUtils.toString(paramMap.get("mobileName"))+"%");
		}
		example.setOrderByClause("mobile_type");
		return tMobileManagerMapper.selectByExample(example);
	}

	@Override
	public TMobileManager findById(String id) {
		return tMobileManagerMapper.selectByPrimaryKey(id);
	}

	@Override
	public void add(TMobileManager tUrlConfig) {
		tMobileManagerMapper.insert(tUrlConfig);
	}

	@Override
	public void update(TMobileManager tUrlConfig) {
		tMobileManagerMapper.updateByPrimaryKey(tUrlConfig);
	}

	@Override
	public void remove(String id) {
		tMobileManagerMapper.deleteByPrimaryKey(id);
	}

	@Override
	public boolean validMobileType(String mobileType,String id) {
		TMobileManagerExample example = new TMobileManagerExample();
		Criteria criteria = example.createCriteria();
		if(id != null && !id.isEmpty()) {
			criteria.andIdNotEqualTo(id);
		}
		criteria.andMobileTypeEqualTo(mobileType);
		List<TMobileManager> list = tMobileManagerMapper.selectByExample(example);
		if (list.size() > 0) {
			return false;
		}
		return true;
	}

}
